import React from 'react';
import type { RenderMode } from '@leafygreen-ui/popover';
import { ItemActionButtonSize } from './constants';
import type { ItemBase, ItemSeparator } from './types';
export type MenuAction<Action extends string> = ItemBase<Action> | ItemSeparator;
export declare function isSeparatorMenuAction(value: unknown): value is ItemSeparator;
export type ItemActionMenuProps<Action extends string> = {
    actions: MenuAction<Action>[];
    onAction(actionName: Action): void;
    className?: string;
    menuClassName?: string;
    renderMode?: RenderMode;
    iconClassName?: string;
    iconStyle?: React.CSSProperties;
    iconSize?: ItemActionButtonSize;
    isVisible?: boolean;
    'data-testid'?: string;
};
export declare function ItemActionMenu<Action extends string>({ isVisible, actions, onAction, className, menuClassName, renderMode, iconClassName, iconStyle, iconSize, 'data-testid': dataTestId, }: ItemActionMenuProps<Action>): React.JSX.Element | null;
//# sourceMappingURL=item-action-menu.d.ts.map