/// <reference types="react" />
/**
 * Augments a component with default action handling. Default action refers to
 * the action produced by button-like interaction with the UI element: click or
 * space / enter key press
 *
 * @param onDefaultAction Action callback
 * @returns Props that should be passed to the component
 */
export declare function useDefaultAction<T>(onDefaultAction: (evt: React.KeyboardEvent<T> | React.MouseEvent<T>) => void): React.HTMLAttributes<T>;
//# sourceMappingURL=use-default-action.d.ts.map