"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeProps = void 0;
const utils_1 = require("@react-aria/utils");
function mergeProps(...props) {
    const propsWithRefs = props.filter((prop) => prop.ref);
    return {
        // This mergeProps method can handle callbacks and class names, but not refs
        ...(0, utils_1.mergeProps)(...props),
        ...(propsWithRefs.length > 0 && {
            ref(val) {
                propsWithRefs.forEach(({ ref }) => {
                    if (typeof ref === 'function') {
                        ref(val);
                    }
                    else if (ref && typeof ref === 'object') {
                        ref.current = val;
                    }
                });
            },
        }),
    };
}
exports.mergeProps = mergeProps;
//# sourceMappingURL=merge-props.js.map